=== debian/control ===
Source: ros-noetic-mrpt-generic-sensor
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-mrpt-sensorlib, ros-noetic-mrpt2, ros-noetic-roscpp
Homepage: https://wiki.ros.org/mrpt_sensors
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-generic-sensor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-mrpt-sensorlib, ros-noetic-mrpt2, ros-noetic-roscpp
Description: ROS node for interfacing any sensor supported by mrpt-hwdrivers
