=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-mrpt-sensorlib, ros-noetic-mrpt2, ros-noetic-roscpp
+Build-Depends: debhelper (>= 9.0.0), cmake, ros-noetic-catkin, ros-noetic-mrpt-sensorlib, ros-noetic-mrpt2, ros-noetic-ros-environment, ros-noetic-roscpp
 Homepage: https://wiki.ros.org/mrpt_sensors
 Standards-Version: 3.9.2
